Bug 834054 - Should only update modifyTimestamp/modifiersName on MODIFY ops
Summary: Should only update modifyTimestamp/modifiersName on MODIFY ops
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 17:59 UTC by Nathan Kinder
Modified: 2013-02-21 08:18 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: some internal operations would update modifytimestamp, etc Consequence: modifytimestamp is not updated as expected. Fix: Added a new internal flag to skip the update of these attributes. Result: modifytimestamp bahavior is as expected.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:18:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-20 17:59:46 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/129

https://bugzilla.redhat.com/show_bug.cgi?id=249327

{{{
The directory server updates the modifyTimestamp on operations other than
Modify
operations.  See http://tools.ietf.org/html/rfc4512.  However, attributes can
be
modified by operations other than Modify.  For example, with password policy
enabled, a Bind operation may update one or more operational attributes in a
user's entry.  Admin's do not expect modifyTimestamp to be updated under this
and similar circumstances.  See also
http://www.openldap.org/its/index.cgi/Software%20Bugs?id=5040;page=2
}}}

Comment 1 RHEL Product and Program Management 2012-07-10 06:17:30 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Product and Program Management 2012-07-10 23:01:44 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 3 Jenny Severance 2012-08-28 13:28:46 UTC
Automated regression tests covered in accPolicy suite, bug834054_01 - bug834054_11

Comment 5 Milan Kubík 2012-12-03 11:44:34 UTC
Acceptance tests run:

accPolicy run 	100% (41/41)

Marking bugzilla as verified.

Comment 7 errata-xmlrpc 2013-02-21 08:18:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.